import { mapState } from 'vuex'
import { library } from '@fortawesome/fontawesome-svg-core'
import {
  faTrain,
  faBed,
  faBookmark,
  faEnvelope,
  faTransgender,
  faBath,
} from '@fortawesome/free-solid-svg-icons'
import { federatedTimelineVisible, publicTimelineVisible, bubbleTimelineVisible } from '../../lib/timeline_visibility'

library.add(
  faTrain,
  faBed,
  faBookmark,
  faEnvelope,
  faTransgender,
  faBath,
)

const TimelineMenuContent = {
  computed: {
    ...mapState({
      currentUser: state => state.users.currentUser,
      privateMode: state => state.instance.private,
      federating: state => state.instance.federating,
      publicTimelineVisible,
      federatedTimelineVisible,
      bubbleTimelineVisible,
    })
  }
}

export default TimelineMenuContent
